View Issue Details

IDProjectCategoryView StatusLast Update
0033683FPCPackagespublic2019-12-16 12:08
ReporterCudaText manAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux x64 gtk2OSOS Version
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033683: JsonConf: writing allows subkey + value with same names
DescriptionIn demo .json file exists. with 2 keys: "ddd", "ddd2".
Run demo, it makes value "ddd".

Expected: value "ddd" overwrites subkey "ddd".
Seen: value "ddd" added along with subkey "ddd" and JSON is incorrect (it has keys "ddd", "ddd2", "ddd").
TagsNo tags attached.
Fixed in Revision38907
FPCOldBugId
FPCTarget
Attached Files

Activities

CudaText man

2018-05-03 12:06

reporter  

tst-json-save.zip (2,373 bytes)

Michael Van Canneyt

2018-05-05 16:24

administrator   ~0108154

Fixed, thanks for reporting!

Issue History

Date Modified Username Field Change
2018-05-03 12:06 CudaText man New Issue
2018-05-03 12:06 CudaText man File Added: tst-json-save.zip
2018-05-04 10:00 Michael Van Canneyt Assigned To => Michael Van Canneyt
2018-05-04 10:00 Michael Van Canneyt Status new => assigned
2018-05-05 16:24 Michael Van Canneyt Fixed in Revision => 38907
2018-05-05 16:24 Michael Van Canneyt Note Added: 0108154
2018-05-05 16:24 Michael Van Canneyt Status assigned => resolved
2018-05-05 16:24 Michael Van Canneyt Fixed in Version => 3.1.1
2018-05-05 16:24 Michael Van Canneyt Resolution open => fixed
2018-05-05 16:24 Michael Van Canneyt Target Version => 3.2.0
2019-12-16 12:08 CudaText man Status resolved => closed